﻿using StackOverflowClient.Messages;

namespace StackOverflowClient.Events
{
    class ReputationUpdatedEvent : MessageEventBase
    {
        public ReputationUpdatedEvent(StackOverflowClient parent) : base(parent)
        {
        }

        public override void RaiseEvent(MessageBase message)
        {
            var msg = (ReputationChangedMessage) message;

            parent.OnUserReputationChanged(msg.OldReputation, msg.NewReputation);
        }
    }
}
