/*
 * Created by SharpDevelop.
 * User: Dror B. Helper
 * Date: 28/11/2008
 * Time: 13:14
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;

namespace StackOverflowClient.Messages
{
	/// <summary>
	/// Description of NumberOfBadgesChangedMessage.
	/// </summary>
	public class NumberOfBadgesChangedMessage : MessageBase
	{
		public NumberOfBadgesChangedMessage(UserDescriptor user, int oldNumberOfBadges, int newNumberOfBadges): base(user)
		{
			OldNumberOfBadges = oldNumberOfBadges;
			NewNumberOfBadges = newNumberOfBadges;
		}
		
		public int OldNumberOfBadges{get; internal set;}
		public int NewNumberOfBadges{get; internal set;}
	}
}
