namespace StackOverflowClient.Messages
{
    public class ReputationChangedMessage : MessageBase
    {
        public ReputationChangedMessage(UserDescriptor user, int oldReputation, int newReputation)
            : base(user)
        {
            OldReputation = oldReputation;
            NewReputation = newReputation;
        }

        public int OldReputation{get; private set;}
        public int NewReputation { get; private set; }

    }
}