/*
 * Created by SharpDevelop.
 * User: Dror B. Helper
 * Date: 28/11/2008
 * Time: 13:18
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using StackOverflowClient.Messages;
using System;

namespace StackOverflowClient.Events
{
	/// <summary>
	/// Description of NumberOfBadgesUpdatedEvent.
	/// </summary>
	internal class NumberOfBadgesUpdatedEvent : MessageEventBase
	{
        public NumberOfBadgesUpdatedEvent(StackOverflowClient parent) : base(parent)
        {
        }

        public override void RaiseEvent(MessageBase message)
        {
            var msg = (NumberOfBadgesChangedMessage) message;

            parent.OnUserBadgeNumberChanged(msg.OldNumberOfBadges , msg.NewNumberOfBadges);
        }
	}
}
